import requests
from src.lwb.scraper import EASYSQUARE_HEADERS, EASYSQUARE_PARAMS

def scrape_image(url):
    session = requests.Session()
    response = session.get(url, headers=EASYSQUARE_HEADERS, params=EASYSQUARE_PARAMS)

    if response.status_code != 200:
        print(f"Fehler beim Abrufen von Easysquare: {response.status_code}")
        # return empty image
        return b''
    
    # get image from response

    return response.content

